Home | All Classes | Grouped Classes | Index | Search

# Class CL_Slot

Slot class More...

Derived from: none
Derived by: none
Group: Signal (System)

#include <ClanLib/signals.h>

Construction:

CL_Slot | Create an unconnected slot.

Attributes:

get_slot_ref | Returns the number of CL_Slot references still pointing at this slot.
get_signal_ref | Returns the number of signals this slot is connected to.
is_persistent | Returns true if slot is persistent.

Operations:

operator = | Slot copy operator
set_persistent | Sets the persistent flag.

Implementation:

impl | Slot Generic Implementation

Detailed description:

!group=Signal/System! !header=signals.h!
Questions or comments, write to the ClanLib mailing list.